<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:bundle basename="oracle.webcenter.webcenterapp.resource.WebCenterResourceBundle">
<jsp:useBean id="aboutBean" class="oracle.webcenter.webcenterapp.internal.view.backing.AboutUIBean" scope="application"/>
<jsp:useBean id="publicBean" class="oracle.webcenter.webcenterapp.internal.view.backing.PublicPageBean" scope="request"/>
<div id="aboutText" style="position: absolute; left: 0px; top: 0px; visibility:hidden;">
<table dir="ltr"
       border="0" cellpadding="0" cellspacing="0" width="400">
  <tr>
    <td class="lefttop-popup">&nbsp;</td>
    <td width="100%" class="topmiddle-popup"
        dir="${publicBean.localeRightToLeft? 'rtl': 'ltr'}">
      <table width="100%" border="0">
        <tr>
          <td class="bold-about"><%--align="left"--%><fmt:message key="GLOBAL_LINK_ABOUT"/></td>
          <td align="right" width="16px"><a href="#" onclick="document.getElementById('aboutText').style.visibility = 'hidden';return false;"><img src="adf/spaces/images/close_ena.png" name="close" alt="Close" border="0" width="16" height="16" /></a></td>
        </tr>
      </table>
    </td>
    <td class="righttop-popup"></td>
  </tr>
  <tr>
    <td class="leftmiddle-popup"></td>
    <td class="boxcontent"
        dir="${publicBean.localeRightToLeft? 'rtl': 'ltr'}">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td valign="top">
             <img src="adf/spaces/images/webcenterspaces_128.png" width="128" height="128" alt="<fmt:message key='LABEL_ORACLE_LOGO_DESC'/>" />
          </td>
          <td valign="top">
            <div>
              <table summary="" border="0" cellpadding="0" cellspacing="0">
               <tbody>
               <tr>
                <td valign="top">
                 <span style="display:block;height:2.5em;width:119px;background-image:url(adf/spaces/images/oracle_logo.png);background-repeat:no-repeat;background-position:center center" title="<fmt:message key='LABEL_ORACLE_LOGO_DESC'/>"/>
                </td>
                <td valign="top">
                 <span class="appname">
                  <fmt:message key="LABEL_WEBCENTER_SPACES"/>
                 </span>
                </td>
               </tr>
               </tbody>
              </table>
              <div class="version" style="padding-left:8px">
                <span style="font-weight:bold">
                  <fmt:message key="ABOUT_VERSION">
                    <fmt:param value="${aboutBean.productVersion}"/>
                  </fmt:message>
                </span>
               (<fmt:message key="ABOUT_BUILD_LABEL">
                  <fmt:param value="${aboutBean.productLabel}"/>
                </fmt:message>)
              </div>
              <div><img src="adf/spaces/images/spacer.gif" alt="" width="1" height="20"/></div>
              <div style="padding-left:8px">
                <%-- The following dir=ltr directive on the span is a 
                     workaround for the ending period (.) getting moved 
                     to the start in rtl languagees for unknown reason. --%>
                <span dir="ltr">${publicBean.copyRightMessage}</span>
              </div>
            </div>
          </td>
        </tr>
      </table>
    </td>
    <td class="rightmiddle-popup"></td>
  </tr>
  <tr>
    <td class="leftbottom-popup"></td>
    <td width="100%" height="12" class="bottommiddle-popup"></td>
    <td class="rightbottom-popup"></td>
  </tr>
</table>

         </div>
</fmt:bundle>
