<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<jsp:useBean id="wcPublicBean" scope="request"
             class="oracle.webcenter.webcenterapp.internal.view.backing.PublicPageBean"/>
<jsp:useBean id="security" scope="request"
             class="oracle.webcenter.webcenterapp.internal.view.backing.SecurityBean"/>
<fmt:bundle basename="oracle.webcenter.webcenterapp.resource.WebCenterResourceBundle">

          <table summary="" dir="ltr"
                 width="180" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td class="lefttop">&nbsp;</td>
              <td width="100%" class="topmiddle stylebold"
                  dir="${wcPublicBean.localeRightToLeft? 'rtl': 'ltr'}">
                <fmt:message key="LABEL_LOGIN_TO_WEBCENTER_SPACES"/>
              </td>
              <td class="righttop"></td>
            </tr>

            <tr>
              <td class="leftmiddle"></td>
              <td width="100%" class="boxcontent"
                  dir="${wcPublicBean.localeRightToLeft? 'rtl': 'ltr'}">
                <table summary="" width="100%" cellpadding="0" cellspacing="0">
            <c:if test="${param.login_fail == true }">
              <tr>
                  <td class="leftmiddle stylenormal" valign="top">
                      <img src="afr/error.png" alt="error"/>
                      <img src="adf/spaces/images/spacer.gif" alt="" height="1" width="2" />
                      <span style="color:Red;"><fmt:message key="SORRY_INVALID_USERPASS"/></span>
                 </td>
                </tr>
                <tr> <td height="10"></td></tr>
            </c:if>
               <tr>
                                <td class="loginbkgd">
                                <form class="stylenormal" method="post" action="${param.wcUseJSecurityCheck == 'true'? 'wcAuthentication/j_security_check': 'wcAuthentication/'}">
                                        <div class="margin-top5"><label for="username"><fmt:message key="LABEL_USER_NAME"/></label></div>
                                        <input class="margin-top5" id="username" name="j_username" type="text" ${security.authenticated ? "disabled" : ""}/>
                                        <div class="margin-top5"><label for="password"><fmt:message key="LOGIN_PASSWORD"/></label></div>
                                        <input class="margin-top5" id="password" name="j_password" type="password" ${security.authenticated ? "disabled" : ""}/>
         <%-- TODO 
                                        <input class="margin-top5" name="checkbox" type="checkbox" value="checkbox" />
                                        <fmt:message key="LABEL_REMEMBER_ME"/><br /><br />
          --%>
 <input type="hidden" name="j_character_encoding" value="UTF-8"></input>

                                        <div><img src="adf/spaces/images/spacer.gif" width="1" height="10" alt="" /></div>
                                        <input name="Login" type="submit" id="login_sidebar" value="<fmt:message key='LOGIN_LOGON_BUTTON'/>" 
                                               ${security.authenticated ? "disabled" : ""}/>
                                        <div><img src="adf/spaces/images/spacer.gif" width="1" height="10" alt="" /></div>
                                </form>
                 <%-- TODO
                                <a class="pagelink" href="#"><fmt:message key="LABEL_FORGOT_USERNAME_OR_PASSWORD"/></a>
               --%>
       </td>
                           </tr>
                          </table></td>
              <td class="rightmiddle"></td>
            </tr>
            <tr>
              <td class="leftbottom">&nbsp;</td>
              <td width="100%" height="2" class="bottommiddle"></td>
              <td class="rightbottom"></td>
            </tr>
          </table>

</fmt:bundle>
