<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<fmt:bundle basename="oracle.webcenter.webcenterapp.resource.WebCenterResourceBundle">
 <jsp:useBean id="publicBean"
              class="oracle.webcenter.webcenterapp.internal.view.backing.PublicPageBean"
              scope="request"/>
<jsp:useBean id="helpBean" 
             class="oracle.webcenter.webcenterapp.internal.view.backing.HelpLauncherBean" 
             scope="request"/>
<table summary="" border="0" cellpadding="0" cellspacing="0" width="100%" class="bottomborder" style="background-color:#0D4988">
<tbody>
 <tr>
  <td style="background-color:white" valign="top">
   <a href="/webcenter/spaces/home" style="display:block;height:2.5em;width:119px;background-image:url(${publicBean.logo});background-repeat:no-repeat;background-position:center center"/>
  </td>
  <td style="background-color:white" valign="top">
   <span id="appName" class="appname">${publicBean.title}</span>
  </td>
  <td width="100%" valign="top">
   <table cellspacing="0" cellpadding="0" border="0" width="100%">
    <tbody>
     <tr>
      <td valign="top" width="100%">
       <img style="display:block;height:2.5em;width:100%;max-width:100%;" alt=""
            src="${publicBean.localeRightToLeft? 
                   'adf/spaces/images/gradient-none-white.png':
                   'adf/spaces/images/gradient-white-none.png'}"/>
      </td>
      <td valign="top">
       <div>
        <table style="padding-top:6px" cellspacing="0" cellpadding="0" border="0">
         <tbody>
          <tr>
           <td style="white-space:nowrap">
            <script type="text/javascript">
              function showLangList() { 
                document.getElementById('langList').style.left='400px';
                document.getElementById('langList').style.top='150px';
                document.getElementById('langList').style.visibility = 'visible';
                return false;
              }
            </script>
            <a class="dlink" href="#" onclick="return showLangList();">
             <fmt:message key="LANG_CHANGE_HINT"/>
            </a>
            <a class="dlink" href="#" onclick="return showLangList();">
             <img src="adf/spaces/images/dropdown_12_g_ena.png"
                  alt="<fmt:message key='SELECT_LANGUAGE'/>" width="12" height="12" border="0"
                  style="vertical-align:middle"/>
            </a>
           </td>
           <td>
            <img src="adf/spaces/images/spacer.gif" alt="" width="11" height="1"/>
           </td>
           <td style="white-space:nowrap">
            <script type="text/javascript">
              function launchHelpWindow(helpUrl){
                window.open(helpUrl);
                return false;
              }
            </script>
            <a class="dlink" href="#" onclick="return launchHelpWindow('<%= helpBean.getHelpUrl(request) %>')"> 
             <fmt:message key="LABEL_HELP"/></a>
           </td>
           <c:if test="${publicBean.ssoEnabled}">
           <td>
            <img src="adf/spaces/images/spacer.gif" alt="" width="11" height="1"/>
           </td>
           <td style="white-space:nowrap">
            <a class="dlink" href="/webcenter/wcAuthentication/?login=true&success_url=/spaces">
             <fmt:message key="GLOBAL_LINK_LOGIN"/></a>
           </td>
           </c:if>
           <td>
            <img src="adf/spaces/images/spacer.gif" alt="" width="15" height="1"/>
           </td>
          </tr>
         </tbody>
        </table>
       </div>
      </td>
     </tr>
    </tbody>
   </table>
  </td>
 </tr>
</tbody>
</table>
</fmt:bundle>
