<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="oracle.webcenter.spaces.*" %>
<%@ page language="java" import="oracle.webcenter.webcenterapp.*" %>
<%@ page language="java" import=" oracle.webcenter.webcenterapp.context.WCApplicationContext" %>
<%@ page language="java" import="oracle.mds.core.MDSSession" %>
<%@ page language="java" import="oracle.webcenter.spaces.internal.model.SpacesManagerImpl" %>
<%@ page language="java" import="oracle.webcenter.spaces.context.SpacesContext" %>
<%@ page language="java" import="oracle.webcenter.generalsettings.model.DateFormatSetting" %>

<jsp:useBean id="wcPublicBean" scope="request"
             class="oracle.webcenter.webcenterapp.internal.view.backing.PublicPageBean"/>
<fmt:bundle basename="oracle.webcenter.webcenterapp.resource.WebCenterResourceBundle">
<td colspan="2" valign="top">
<table summary="" width="100%" cellspacing="0" cellpadding="0" border="0">
  <tbody>
     <tr>
       <td width="25" valign="top"><img width="25" height="1" alt="" src="adf/spaces/images/spacer.gif"/></td>
       <td width="100%" valign="top" nowrap="nowrap" colspan="3"><%--align="left"--%>
         <span class="stylebold"><fmt:message key="LABEL_EXPLORE_PUBLIC_GROUP_SPACES"/><br/>
         </span><br/>
         <form action="oracle/webcenter/webcenterapp/view/templates/publichtml/WCPublicGS.jsp" method="post" id="Login" name="Login" class="stylenormal">
           <div align="center"><span class="margin-top3">
             <span class="padding-right12"><fmt:message key="LABEL_PUBLIC_GROUP_SPACE"/></span>
               <input type="text" size="50" class="margin-top5" value="<%=(request.getParameter("WCPublicGSPattern") == null ? "" : request.getParameter("WCPublicGSPattern")) %>" name="WCPublicGSPattern"/>
                 <input type="submit" value="<fmt:message key='LABEL_SEARCH'/>" id="Search" name="Search"/>
                   <a href="oracle/webcenter/webcenterapp/view/templates/publichtml/WCPublicGS.jsp" class="pagelink"><fmt:message key="LABEL_CLEAR"/></a>
             </span>
           </div>
         </form>
        <br/></td>
        <td width="25" valign="top" align="right"><img width="25" height="1" alt="" src="adf/spaces/images/spacer.gif"/></td>
     </tr>
			
<!-- start bottom -->
     <tr>
       <td valign="top" class="${wcPublicBean.localeRightToLeft? 
                                 'graphicbkgdr': 'graphicbkgdl'}"/>
         <td valign="top" class="graphicbkgd" colspan="3"><br/>
	   <table summary="" width="100%" cellspacing="0" cellpadding="0" border="0">
                <!--tr>
                  <td class="padding-left12"><span class="stylebold">
				  <fmt:message key="LABEL_RECENT"/> </span> | <a class="pagelink" href="WC_PublicGSPopular.html"><fmt:message key="LABEL_POPULAR"/></a></td>
                  </tr-->
                 
              <!--/table-->
<!-- start of 5 items -->
            
    <%
     SpacesManagerFactory managerFactory = (SpacesManagerFactory) FactoryFinder.getFactory(SpacesConstants.SPACES_MANAGER_FACTORY);
     SpacesManager manager = managerFactory.getSpacesManager();
     String pattern = (String) request.getParameter("WCPublicGSPattern");
     pattern = pattern == null ? "" : pattern;
     List <String>pubSpaces = manager.getPublicSpacesNamesList(pattern);
     if(pubSpaces != null && pubSpaces.size() > 0)
     {
        MDSSession mdsSession
            = WCApplicationContext.getCurrentInstance().getMDSSession();
        Space space = null; 
        String displayName = null;
        for(int i = 0; i < pubSpaces.size(); i++)
        {
         try
         {
          space = manager.getSpace(pubSpaces.get(i));
          displayName = space.getDisplayName();
          if(displayName == null)
            displayName = space.getName(mdsSession); 
          %>
<tr>
    <td valign="top"><table summary="" class="innertable">
        <tbody><tr valign="top">
          <td width="48"><img width="42" height="42" alt="" src="webcenter-spaces-resources/<%=space.getMetadata(mdsSession, true).getIcon()%>"/></td>
          <td><div class="stylebold"> <a href="<%= request.getScheme()+ "://"+request.getServerName()+":"+request.getServerPort()+request.getContextPath()+"/spaces/"+ displayName %>" class="pagelink"><strong><%=displayName%> </strong></a><br/>
                  <%-- The GS info below should be in the form 'created by {0} on {1} rather than adding up tags --%>
                  <span class="stylenormal"><%= space.getMetadata(mdsSession, true).getDescription()%></span><br/>
                  <span class="stylenormal style4"><fmt:message key="LABEL_CREATED_BY"/> <%=space.getMetadata(mdsSession, true).getCreatedBy()%> <fmt:bundle basename="oracle.webcenter.spaces.resource.SpacesResourceBundle"><fmt:message key="LABEL_ON"/></fmt:bundle> <%=DateFormatSetting.getFormattedDateTime(space.getMetadata(mdsSession, true).getCreationDate().getTime())%></span> </div></td>
        </tr>
    </tbody></table></td>
          <%
             i+=1;  
             if(i < pubSpaces.size())
             {   

               space = manager.getSpace(pubSpaces.get(i));
               displayName = space.getDisplayName();
               if(displayName == null)
                 displayName = space.getName(mdsSession); 

          %>  
    <td valign="top"><table summary="" class="innertable">
        <tbody><tr valign="top">
          <td width="48"><img width="48" height="48" src="webcenter-spaces-resources/<%=space.getMetadata(mdsSession, true).getIcon()%>"/></td>
          <td><div class="stylenormal"><a class="pagelink" href="<%= request.getScheme()+ "://"+request.getServerName()+":"+request.getServerPort()+request.getContextPath()+"/spaces/"+ displayName %>"><strong><%=displayName%> </strong></a></div>
              <span class="stylebold"><span class="stylenormal"><%= space.getMetadata(mdsSession, true).getDescription()%></span><br/>
              <%-- The GS info below should be in the form 'created by {0} on {1} rather than adding up tags --%>
              <span class="stylenormal style4"><fmt:message key="LABEL_CREATED_BY"/> <%=space.getMetadata(mdsSession, true).getCreatedBy()%> <fmt:bundle basename="oracle.webcenter.spaces.resource.SpacesResourceBundle"><fmt:message key="LABEL_ON"/></fmt:bundle> <%=DateFormatSetting.getFormattedDateTime(space.getMetadata(mdsSession, true).getCreationDate().getTime())%></span></span></td>
        </tr>
    </tbody></table></td>

           <%
           } 
%>
</tr>
<%
         }
         catch (Exception e)
         {
           //ignore issue with public listing having stale spaces
         }
        }
      }

     %>
<!-- end of 5 items -->
</table>
</td>
       <td valign="top" class="${wcPublicBean.localeRightToLeft?
                                 'graphicbkgdl': 'graphicbkgdr'}"/>
</tr>
<!-- end bottom -->
</tbody></table>
</td>
</fmt:bundle>
