<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page contentType="text/html;charset=utf-8"%>
<jsp:useBean id="wcPublicBean" scope="request"
             class="oracle.webcenter.webcenterapp.internal.view.backing.PublicPageBean"/>
<html xmlns="http://www.w3.org/1999/xhtml" 
      dir="${wcPublicBean.localeRightToLeft? 'rtl': 'ltr'}">
<fmt:bundle basename="oracle.webcenter.webcenterapp.resource.WebCenterResourceBundle">
<head>
<title><fmt:message key="LABEL_WEBCENTER_WELCOME_PAGE"/></title>
<base href="<%= request.getScheme()+ "://"+request.getServerName()+":"+request.getServerPort()+request.getContextPath()+"/" %>"/>
<link rel="stylesheet" type="text/css" href="adf/spaces/skins/publichtml/publichtml.css" />

<script language="javascript" type="text/javascript" src="oracle/webcenter/webcenterapp/jsLibs/WebCenterLogin.js"></script>

<script language="javascript" type="text/javascript">
function ini(){
	if(navigator.userAgent.indexOf('MSIE') != -1){
	
		document.body.style.backgroundColor = '#ffffff';
		var whiteGrad = document.getElementById("whiteGrad");
		document.getElementById("appName").style.textOverflow='ellipsis';
	}
        var userName = document.getElementById('username');

        if (userName != null) {
 		wcSetUserNameFromCookie(userName);
                userName.focus();
        }  
}

</script>

</head>
<body onload="ini()" onunload="wcStoreUserNameToCookie()">
<noscript><fmt:message key="LABEL_JAVA_SCRIPT_NOT_SUPPORTED"/></noscript>

<!-- Branding Area -->
<jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/PrimaryTabBarFrag.jsp"/>
<jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/SecondaryTabBarFrag.jsp"/>

<!-- Middle Area -->
<table id="ContentArea" summary="" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tbody>
    <tr>
     <td>
      <table width="100%" summary="" border="0" cellpadding="0" cellspacing="10">
        <tr>
        <!-- Start of sidebar -->
         <jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/SideBarFrag.jsp"/>
         <!-- End of SideBar -->
        <!-- Start of content area -->
        <jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/DefaultWelcomeContentFrag.jsp"/>
        <!-- end of content area -->
          </tr>
      </table>
    </td>
  </tr>
 </tbody>
</table>
<!-- End of Middle Area -->
<!-- start footer -->
<table id="footer" summary="" width="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/FooterAreaFrag.jsp"/>
  </tr>
</table>
<!-- end footer -->

<jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/AboutFrag.jsp"/>
<jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/LanguageListFrag.jsp"/>
</body>
</fmt:bundle>
</html>
