<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page contentType="text/html;charset=utf-8"%>
<jsp:useBean id="wcPublicBean" scope="request"
             class="oracle.webcenter.webcenterapp.internal.view.backing.PublicPageBean"/>
<html xmlns="http://www.w3.org/1999/xhtml"
      dir="${wcPublicBean.localeRightToLeft? 'rtl': 'ltr'}">
<fmt:bundle basename="oracle.webcenter.webcenterapp.resource.WebCenterResourceBundle">
<head>
<title><fmt:message key="LABEL_ERROR_ENCOUNTERED"/></title>
<base href="<%= request.getScheme()+ "://"+request.getServerName()+":"+request.getServerPort()+request.getContextPath()+"/" %>"/>
<link rel="stylesheet" type="text/css" href="adf/spaces/skins/publichtml/publichtml.css" />
<script language="javascript" type="text/javascript">
function ini(){
	if(navigator.userAgent.indexOf('MSIE') != -1){

		document.body.style.backgroundColor = '#ffffff';
		var whiteGrad = document.getElementById("whiteGrad");
		document.getElementById("appName").style.textOverflow='ellipsis';
	}
}
</script>
</head>
<body onload="ini()">

<!-- start Branding Area -->
<table id="branding" border="0" cellpadding="0" cellspacing="0" width="100%"
       class="bottomborder">
  <tbody>
 <tr id="primaryBoilerPlate">
    <td id="logoCell" height="25" width="119"
        style="vertical-align:middle; background-color:white;">
       <a href="/webcenter/spaces/home"><img src="adf/spaces/images/oracle_logo.png" alt="Oracle logo" border="0" height="25" width="119"/></a></td>
    <td style="background-color:white;" valign="top">
      <span id="appName" class="appname"><%--style="position: absolute; top: 2px; left: 120px;"--%>
        <fmt:message key="LABEL_WEBCENTER_SPACES"/>
      </span>
    </td>
    <td class="topbody" valign="top" width="100%"><%--align="left"--%>
      <img id="whiteGrad" alt="" height="28" width="100%"
           src="${wcPublicBean.localeRightToLeft? 
                  'adf/spaces/images/gradient-none-white.png':
                  'adf/spaces/images/gradient-white-none.png'}"/>
    </td>
     <td  align="right" style="white-space:nowrap" class="padding-right12 padding-left12 topbody dtext dlink">
     <%--div align="right"--%>
       <a class="dlink" href="/webcenterhelp/spaces" target="_new"><fmt:message key="LABEL_HELP"/></a>
       <%--img src="adf/spaces/images/spacer.gif" alt="" width="5" height="1"/>
      </div--%>
      </td>
  </tr>

  </tbody>
</table>
<!-- end Branding Area -->

<!-- Start Middle Area -->

<table id="ContentArea" border="0" cellpadding="0" cellspacing="0" width="100%" style="height:500px">
  <tbody>
    <tr>
     <td valign="top">
      <table width="100%" border="0" cellpadding="0" cellspacing="10">
        <tr>
<!-- Start of SideBar -->
          <td colspan="2" width="100px"/>
<!-- End of SideBar -->
<!-- Start of content area -->
      <td colspan="2" valign="top">
		  <table width="100%"  border="0" cellspacing="0" cellpadding="0" style="height:200px">

           <!-- start content area header  -->

            <tr>
              <td valign="top" width="25"><img src="adf/spaces/images/spacer.gif" alt="" width="25" height="1" /></td>
              <td colspan="3" valign="middle"><%--align="left"--%>
                <span class="header" style="white-space:nowrap"><fmt:message key="LABEL_APP_UNAVAILABLE"/><br />
                </span>
                <span class="errorheadertext"><fmt:message key="LABEL_APP_UNAVAILABLE_INFO"/>
                   <br /><br/>
               </span>
               <span class="mtext"> <fmt:message key="LABEL_CLICK_TO_GO_TO_HOME"><fmt:param value="/webcenter/spaces/home"/></fmt:message> </span>

              </td>
             </tr>
           </table>
        </td>
 <!-- end of content area -->
          </tr>
      </table>
    </td>
  </tr>
 </tbody>
</table>
<!-- End of Middle Area -->
<!-- start footer -->
<table id="footer" width="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <jsp:include page="FooterAreaFrag.jsp"/>
  </tr>
</table>
<!-- end footer -->

<jsp:include page="AboutFrag.jsp"/>
<jsp:include page="ContactAdminFrag.jsp"/>
</body>
</fmt:bundle>
</html>

