<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Copyright (c) 2008, 2009, Oracle and/or its affiliates. 
All rights reserved. -->
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ page contentType="text/html;charset=utf-8"%>
<jsp:useBean id="wcPublicBean" scope="request"
             class="oracle.webcenter.webcenterapp.internal.view.backing.PublicPageBean"/>
<html xmlns="http://www.w3.org/1999/xhtml"
      dir="${wcPublicBean.localeRightToLeft? 'rtl': 'ltr'}">
  <fmt:bundle basename="oracle.webcenter.webcenterapp.resource.WebCenterResourceBundle">
    <head>
      <title>
        <fmt:message key="LABEL_PAGE_NOT_FOUND"/>
      </title>
      <base href='<%= request.getScheme()+ "://"+request.getServerName()+":"+request.getServerPort()+request.getContextPath()+"/" %>'/>
      <link rel="stylesheet" type="text/css"
            href="adf/spaces/skins/publichtml/publichtml.css"/>
      <script type="text/javascript">
function ini(){
  if(navigator.userAgent.indexOf('MSIE') != -1){
    document.getElementById("appName").style.textOverflow='ellipsis';
  }
}
</script>
    </head>
    <body onload="ini()">
      <!-- Branding Area -->
      <jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/PrimaryTabBarFrag.jsp">
        <jsp:param name="showChangeLanguage" value="false"/>
      </jsp:include>
       
      <!-- Start Middle Area -->
       
      <table id="ContentArea" summary="" border="0" cellpadding="0"
             cellspacing="0" width="100%">
        <tr>
          <td valign="top" height="400">
            <table>
              <tbody>
                <tr>
                  <td valign="top" colspan="3" height="50">&nbsp;</td>
                </tr>
                <tr>
                  <td valign="top">
                    <div>
                      <img src="adf/spaces/images/spacer.gif" alt="" height="1"
                           width="50"/>
                    </div>
                  </td>
                  <td valign="top">
                    <!-- image would go here -->
                    <img src="adf/spaces/images/spacer.gif" width="118"
                         height="158" alt=""/>
                     
                    <img src="adf/spaces/images/spacer.gif" alt="" height="1"
                         width="62"/>
                  </td>
                  <td valign="top">
                    <div class="header1">
                      <fmt:message key="LABEL_PAGE_NOT_FOUND_DOTS"/>
                    </div>
                    <div class="errortext header2">
                      <fmt:message key="LABEL_PAGE_NOT_FOUND_MSG"/>
                    </div>
                    <div style="margin-top:15px">
                      <fmt:message key="LABEL_CLICK_TO_GO_TO_HOME">
                        <fmt:param value="/webcenter${not empty param['wc.contextURL'] ? param['wc.contextURL'] : '/spaces'}/home"/>
                      </fmt:message>
                    </div>
                    <div style="margin-top:15px">
                      <fmt:message key="LABEL_CLICK_TO_GO_TO_PAGES_LIST">
                        <fmt:param value="/webcenter/faces/oracle/webcenter/webcenterapp/view/pages/ListOfAccessiblePages.jspx${not empty param['wc.contextURL'] ? '?wc.contextURL=' : ''}${not empty param['wc.contextURL'] ? param['wc.contextURL'] : ''}"/>
                      </fmt:message>
                    </div>
                  </td>
                </tr>
              </tbody>
            </table>
          </td>
        </tr>
      </table>
       
      <!-- End of Middle Area -->
       
      <jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/FooterAreaFrag.jsp"/>
    </body>
  </fmt:bundle>
</html>