<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page contentType="text/html;charset=utf-8"%>
<jsp:useBean id="wcPublicBean" scope="request"
             class="oracle.webcenter.webcenterapp.internal.view.backing.PublicPageBean"/>
<jsp:useBean id="security" scope="request"
             class="oracle.webcenter.webcenterapp.internal.view.backing.SecurityBean"/>
<html xmlns="http://www.w3.org/1999/xhtml"
      dir="${wcPublicBean.localeRightToLeft? 'rtl': 'ltr'}">
<fmt:bundle basename="oracle.webcenter.webcenterapp.resource.WebCenterResourceBundle">
<head>
<title><fmt:message key="LABEL_WEBCENTER_LOGIN_PAGE"/></title>
<base href="<%= request.getScheme()+ "://"+request.getServerName()+":"+request.getServerPort()+request.getContextPath()+"/" %>"/>
<link rel="stylesheet" type="text/css" href="adf/spaces/skins/publichtml/publichtml.css" />

<script language="javascript" type="text/javascript" src="oracle/webcenter/webcenterapp/jsLibs/WebCenterLogin.js" ></script>

<script language="javascript" type="text/javascript" >
function ini(){

	if(navigator.userAgent.indexOf('MSIE') != -1){
	
		document.body.style.backgroundColor = '#ffffff';
		var whiteGrad = document.getElementById("whiteGrad");
		document.getElementById("appName").style.textOverflow='ellipsis';
	}
        var userName = document.getElementById('username');

        if (userName != null) {
		wcSetUserNameFromCookie(userName);		
                userName.focus();
        }  
}

</script>

</head>
<body onload="ini()" onunload="wcStoreUserNameToCookie()">
<noscript><fmt:message key="LABEL_JAVA_SCRIPT_NOT_SUPPORTED"/></noscript>
<!-- start Branding Area -->
<jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/PrimaryTabBarFrag.jsp"/>
<!-- end Branding Area -->

<!-- start Login -->
<table id="ContentArea" summary="" border="0" cellpadding="0" cellspacing="0" width="100%">
 <tr><td valign="top" height="400">
  <table>
    <tbody>
       <tr><td valign="top" colspan="3" height="50"></td></tr>
       <tr>
	  <td rowspan="2" valign="top">
            <div><img src="adf/spaces/images/spacer.gif" alt="" height="1" width="50" /></div>
          </td>
          <td rowspan="2" valign="top" class="padding-right12">
            <img src="adf/spaces/images/logingraphic.png" width="118" height="158" alt="" />
            <img src="adf/spaces/images/spacer.gif" alt="" height="1" width="50" />
          </td>
          <td valign="top">
  	    <div class="style1">
              <span style="font-size: 26px; font-weight: bolder;"><fmt:message key="GLOBAL_LINK_LOGIN_DESC"/></span>
            </div>
	    <div style="white-space: nowrap;">
              <form  method="post" action="j_security_check">
                <table summary="" style="width: auto;" border="0" cellpadding="0" cellspacing="0">
                 <tbody>
	          <tr>
                   <td colspan="2">
	            <table summary="" border="0" cellpadding="0" cellspacing="0" width="100%">
                     <tbody>
		      <tr>
		       <td class="stylenormal" colspan="2" height="15"></td>
                      </tr>
                      <c:if test="${param.login_fail == true }">
                      <tr>
                       <td class="stylenormal" colspan="2" valign="top">      
                         <img src="adf/spaces/images/spacer.gif" alt="" height="1" width="30" />
                         <img src="afr/error.png" alt="error" />
                         <img src="adf/spaces/images/spacer.gif" alt="" height="1" width="5" />
                         <span style="color:Red;"><fmt:message key="SORRY_INVALID_USERPASS"/></span>
                       </td>
		      </tr>
                      <tr><td colspan="2" height="5"></td></tr>
                      </c:if>                 
                      <tr>
                       <td align="right" class="stylenormal padding-right12">
                         <label for="username"><fmt:message key="LOGIN_USER_NAME"/></label>
                       </td>
                       <td class="margin-top5" valign="top">
                         <input id="username" maxlength="50" name="j_username" size="30" type="text" ${security.authenticated ? "disabled" : ""}/>
                       </td>
                      </tr>
                      <tr>
		       <td colspan="2" height="5"></td>
                      </tr>
		      <tr>
                       <td align="right" class="stylenormal padding-right12">
                         <label for="password"><fmt:message key="LOGIN_PASSWORD"/></label>
                       </td>
                       <td class="margin-top5" valign="top">
                         <input maxlength="50" id="password" name="j_password" size="30" type="password" ${security.authenticated? "disabled" : ""} />
                       </td>
                      </tr>
                      <tr>
		       <td colspan="2" height="5"></td>
                      </tr>
                      <tr>
		       <td></td>
		       <td class="stylenormal">
                        <%-- TODO 
                         <input class="margin-top5" name="checkbox" type="checkbox" value="checkbox" /><fmt:message key="LABEL_REMEMBER_ME"/>
                         --%>
                         <input type="hidden" name="j_character_encoding" value="UTF-8"></input>
                       </td>
                      </tr>
		      <tr><td colspan="2" height="10"></td></tr>
		      <tr>
                       <td></td>
                       <td class="stylenormal"><input name="Login" type="submit" id="Login" value="<fmt:message key='LOGIN_LOGON_BUTTON'/>" 
                           ${security.authenticated? "disabled" : ""} /></td>
                      </tr>
		      <tr><td colspan="2" height="10"></td></tr>
		      <tr><td></td>
                      <!-- TODO 
                        <td class="margin-top5"><a class="pagelink" href="#"><fmt:message key="LABEL_FORGOT_USERNAME_OR_PASSWORD"/></a></td>
                       -->
		      </tr>
		      <tr><td colspan="2" height="30"></td></tr>
		      <tr>
		        <td class="stylenormal padding-right12"><label for="registerlink"><fmt:message key="LABEL_NEED_AN_ACCOUNT"/></label></td>
                        <!-- Start Registration Box -->		  
                        <td class="margin-top5">
                          <a id="registerlink" class="pagelink" href="<%= request.getContextPath()+"/faces/oracle/webcenter/page/scopedMD/s8bba98ff_4cbb_40b8_beee_296c916a23ed/businessRolePages/AppSelfRegistration.jspx?caller=link&amp;wc.originURL=/spaces"%>"><fmt:message key="GLOBAL_LINK_SELFREG"/></a>
                        </td>
                       <!-- end Registration Box -->
                      </tr>  
                     </tbody>
                    </table>
		  </td>
                 </tr>
                </tbody>
              </table>
            </form>
	   </div>
           <div style="display: none;"><a class="" onclick="return false;" href="#"></a></div>
         </td>
       </tr>
    </tbody>
  </table>
 </td>
 </tr>
</table>
<!-- End of Middle Area -->
<!-- start footer -->
<table id="footer" width="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/FooterAreaFrag.jsp"/>
  </tr>
</table>
<!-- end footer -->

<jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/AboutFrag.jsp"/>
<jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/LanguageListFrag.jsp"/>
<jsp:include page="/oracle/webcenter/webcenterapp/view/templates/publichtml/ContactAdminFrag.jsp"/>
</body>
</fmt:bundle>
</html>

